Bug 394701 - anaconda doesn't honor the 'xdriver=vesa' kernel flag
anaconda doesn't honor the 'xdriver=vesa' kernel flag
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 13:15 EST by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 16:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-11-21 13:15:24 EST
Description of problem:
Currently in Fedora 8, the 'xdriver=vesa' kernel flags are not honored by
anaconda. The video card is probed and that driver is used instead of the
requested vesa driver. This prevents the user from working around broken drivers
and to do a X11 based installation with the vesa driver.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Boot from the x86_64 Fedora 8 DVD.
2. Hit the tab key when requested and add 'xdriver=vesa' to the end of the
kernel flags for the installer.

  
Actual results:
I expected anaconda to honor the request for the vesa X-windows driver.

Expected results:
Anaconda ignores the request for the vesa X-windows driver and uses the driver
detected from the video card probe.

Additional info:
Comment 1 Chris Lumens 2007-11-29 16:24:09 EST
This appears to be working fine in rawhide.  If you are still seeing this
problem, please attach /tmp/XConfig.test and /tmp/ramfs/* to this bug report and
reopen.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.